Skip to main content
GET
/
email
cURL
curl --request GET \
  --url https://api.useanima.sh/v1/email \
  --header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "id": "<string>",
      "agentId": "<string>",
      "fromAddress": "<string>",
      "toAddress": "<string>",
      "subject": "<string>",
      "body": "<string>",
      "bodyHtml": "<string>",
      "headers": {},
      "metadata": {},
      "threadId": "<string>",
      "inReplyTo": "<string>",
      "externalId": "<string>",
      "sentAt": "2023-11-07T05:31:56Z",
      "receivedAt": "2023-11-07T05:31:56Z",
      "attachments": [
        {
          "id": "<string>",
          "filename": "<string>",
          "mimeType": "<string>",
          "sizeBytes": 1,
          "storageKey": "<string>",
          "url": "<string>",
          "createdAt": "2023-11-07T05:31:56Z",
          "detectedMimeType": "<string>"
        }
      ],
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z"
    }
  ],
  "pagination": {
    "nextCursor": "<string>",
    "hasMore": true
  }
}

Authorizations

Authorization
string
header
required

JWT Bearer token obtained from authentication. Pass as: Authorization: Bearer

Query Parameters

cursor
string

Opaque cursor from a previous response to fetch the next page

Pattern: ^[0-9A-HJKMNP-TV-Z]{26}$
limit
integer
default:20

Maximum number of items to return per page (1–100, default 20)

Required range: 1 <= x <= 100
agentId
string

Filter emails by agent ID

Pattern: ^[0-9A-HJKMNP-TV-Z]{26}$

Response

200 - application/json

OK

Paginated list of email messages

items
object[]
required

Array of email message resources matching the query

pagination
object
required

Pagination metadata for retrieving additional pages